List builds
curl --request GET \
--url https://api.computeflow.cloud/api/v3/builds \
--header 'api-key: <api-key>'import requests
url = "https://api.computeflow.cloud/api/v3/builds"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.computeflow.cloud/api/v3/builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"builds": [
{
"build_id": "<string>",
"name": "<string>",
"version": 123,
"status": "uploading",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"build_type": "zip",
"executable_path": "<string>",
"image_url": "<string>",
"file_manifest": [
{
"path": "<string>",
"size": 123
}
]
}
],
"total": 123,
"limit": 123,
"offset": 123,
"has_more": true
}Builds
List builds
Returns a paginated list of builds for your project, sorted by creation date (newest first). Soft-deleted builds are excluded. Use the name filter to list versions of a specific build name.
GET
/
api
/
v3
/
builds
List builds
Authorizations
Query Parameters
Filter builds by name (e.g., "default", "beta"). Returns all names if omitted.
Maximum builds per page (1–100). Defaults to 50.
Required range:
1 <= x <= 100Number of builds to skip for pagination. Defaults to 0.
Required range:
x >= 0Response
200 - application/json
Paginated list of builds.
Paginated list of game server builds.
Array of builds for the current page.
Show child attributes
Show child attributes
Total number of builds matching the query filters.
Maximum number of items per page.
Number of items skipped (for pagination).
True if there are more builds beyond this page.